/***********************************
 * Adconvert.c
 *   
 * : 12.10.2018 21:15:06
 * :  .
 ***********************************/ 

#include <util/delay_basic.h>
#include <avr/io.h>
#include <avr/eeprom.h>
#include "Adconvert.h"
#include "Basedefine.h"

EEMEM static dword Adc_ArefVoltage=ADC_AREFVOLTAGE; //   2,56  

word Adc_ReadData(byte numberinput_prm) //   
	{
	dword readadcdata_tmp=0; // 
	ADMUX=numberinput_prm|(ADC_AREFTYPE&255); //  
	_delay_loop_2(2); // 1     
	ADCSRA|=64; // 
	while((ADCSRA&16)==0); //  
	ADCSRA|=16; //  
	readadcdata_tmp=(dword)ADCW*eeprom_read_dword(&Adc_ArefVoltage)/1024; //  
	return (word)readadcdata_tmp; //    
	}

void ADC_InitDevice(void) //  
	{
	ADCSRA=135; //   62,5 
	ADMUX=ADC_AREFTYPE&255; //  2,56 
	}
