/***************************************
 * Sysdownlight.h
 *    
 * : 29.12.2018 18:10:44
 * :  .
 ***************************************/ 

#pragma once

#include "Basedefine.h"

#define BATTERY_MEASURE 1 //   
#define SOLAR_MEASURE 0 //    

typedef struct
	{
	bit onofflamp:1; // / 
	bit batterynotcharge:1; //   
	bit batterydead:1; //   
	bit onoffledstate:1; //     
	}bit_sys;

typedef struct
	{
	byte decodeledstatus; //  
	byte countledstate; //   
	word countdatatime; // 
	word voltagebattery; //   
	word voltagesolarpanel; //    
	}var_sys;

void SYS_TimeDelay(word millseconds_prm); //    
void SYS_LightService(void); //  
void SYS_OnoffLamp(void); // / 
void SYS_TransitionSleep(void); //    
void SYS_PreparingSleep(void); //      
void SYS_LedoutStatus(void); //  
void SYS_CheckCharge(void); //   
bit SYS_KeyScanning(bit scanningstatus_prm); //  










