/*************************************************************************
* Downlight.c
* : 11.08.2019 12:13:11
* :  .
* :      
*       
* : ATMega-8PU
*  RC : 8000000  
*  
* FuseHB=DF:
			RSTDISBL=1;     
			SPIEN=0;     SPI
			WDTON=1;   
			CKOPT=1;  
			EESAVE=1;   EEPROM 
			BOOTSZ1-0=11;   
			BOOTRST=1;     
* FuseLB=A4:
			BODLEVEL=1;   BOD 2,7 
			BODEN=0;   
			SUT1-0=10;    
			CKSEL3-0=0100;  RC- 8 
*************************************************************************/

#include <avr/io.h>
#include <avr/interrupt.h>
#include "Sysdownlight.h"
#include "Adconvert.h"

int main(void)
	{
	DDRD=240; //PD0-PD3    
	PORTD=118; // PD4-PD6    PD7    PD1,PD2   
	ADC_InitDevice(); // 
	SetBit(GICR,INT0); //   INT0  
	sei(); //  
    while (1) //  
		{
		SYS_LightService(); //  
		}
	}


